Description

A typical infrastructure network (water, gas, electricity, telecom) usually has:

    -  nodes (pump station, substation, hub)

    -  lines (pipes, cables)

Please add functionality to logically relate these objects 

    -  node type

    -  start node of line (from)

    -  end node of line (to)

help editing:

    -  when a node is moved (digitization), the connected lines shall be shifted

    -  provide analysis (near, connected to)

History

#1 - 2013-05-26 03:47 PM - Nathan Woodrow

Could you please open a ticket for each issue.

    -  Moving connected lines and nodes

    -  Network analysis

#2 - 2013-05-27 02:28 AM - Andreas Neumann

Hi Timmie,

I would suggest to develop such functionality in separate plugins/applications - only generally useful stuff should go into QGIS core.

For waste-water there is an ongoing project in Switzerland (parts of it will go into QGIS core (the database relations stuff) - parts of it will be handled in the

Postgis database (like the maintainance of from/to relations that you demand) - and parts of the logic is in a python plugin.

There will also be efforts around water and gaz in Switzerland.

If you want to join these efforts, let me know.

Andreas

#3 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
